unit Game_TPLayer;

interface

uses Engine , Shaders, Materials,Model4;

Type
 TPlayer = object
  public
   Pos,
   ACC,
   Speed,
   n    : TVector;
   Tilt,
   Heading,
   health   : single;
   onGround : boolean;

   procedure Init(P:Tvector);
   procedure Update;
 end;

const
 PKEY_FORW   = ORD('W');
 PKEY_BACK   = ORD('S');
 PKEY_LEFT   = ORD('A');
 PKEY_RIGHT  = ORD('D');
 PKEY_JUMP   = ORD(' ');

var
  Player  :TPlayer;

implementation
uses game_variables;

procedure TPlayer.Init(P:Tvector);
begin
Pos     := p;
Heading := 0;
Tilt    := 0;
acc     := Vec3f(0, 0, 0);
Speed   := Vec3f(0, 0, 0);
Health  := 100;
onground:= true;
end;


procedure TPlayer.Update;
var
 RSpeedT  : Single;
begin
RSpeedT:=FrameTime/30;

// SHOOT WEAPON
{------------------------------------------------------------------------------}
{----------------------------------------------------------------------}
{------------------------------------------------------------------------------}
//if (GetAsyncKeyState(vk_Lbutton) <> 0) then ShotWeapon;

if keys[ord('F')] then onGround:=true;
  if onGround  then
 begin
   acc   :=acc *0.999;
   Speed :=vec3f(0,0,0);

   if Keys[PKEY_FORW ] then acc   := acc + vec3f( sin( Heading    *pi/180), 0 ,-cos( Heading    *pi/180));
   if Keys[PKEY_BACK ] then acc   := acc + vec3f(-sin( Heading    *pi/180), 0 , cos( Heading    *pi/180));
   if Keys[PKEY_LEFT ] then acc   := acc + Vec3f(-sin((Heading+90)*pi/180), 0 , cos((Heading+90)*pi/180)) * 0.7;
   if Keys[PKEY_RIGHT] then acc   := acc + Vec3f( sin((Heading+90)*pi/180), 0 ,-cos((Heading+90)*pi/180)) * 0.7;
 end;

// GRAVITY
{------------------------------------------------------------------------------}
{--------------------------------------------------------------------}
{------------------------------------------------------------------------------}
 Acc.y  := Acc.Y - (frametime*0.003);

// BUILD CUR. POS AND CHECKING "WE ON THE GROUND" ?
{------------------------------------------------------------------------------}
{-        ?-------------------}
{------------------------------------------------------------------------------}
 Speed    := acc * RSpeedT*6;
 Pos      := Pos +  Speed;

// CHECKING COLLISION
{------------------------------------------------------------------------------}
{- --------------------------------------------------------}
{------------------------------------------------------------------------------}
 onground := level.Collision(Pos,n,ACC,25.1);
end;


end.