#ifndef __BOT_AI__
#define __BOT_AI__


#include "Map.h"
#include "Car.h"


typedef enum BotState	//  
{
	IDLE,
	ATTACK,
	MOVE2ENEMY,
	MOVE2BONUS
};


class Bot: public Car
{
public:
	Car* shootTarget;	//   
	vec2* moveTarget;	//   

	BotState strategy;

public:
	void updateAI();

	void selectWeapon();
	Car* findClosestEnemy();				//   
	Car* findMostSickEnemy();				//   
	Bonus* findClosestBonus(BonusID bns);
	void moveTo(float stopRadius);			//    ,    
};


#endif

