#ifndef __CAR_H__
#define __CAR_H__


#include "Resources.h"
#include "CarPhysics.h"
#include "Weapons.h"



class Car: public CarPhysics
{
public:
	vec2			   Target;						// 

	int				   tex_car;						// 
	int				   tex_badcar;

	WeaponID		   currentWeapon;
	float			   lastShootTime;				//  
	int				   shopCount[WEAPONS_COUNT];    //     

	float			   respawnTime;

	char			   name[256];
	int				   killsCount;
	int				   deathCount;

public:
	Car();
	
	void setName(const char* Name);
	void load(const char* filename, const char* car_type);
	void render();
	void shoot(vec2& target);
	void setWeapon(WeaponID w);
	void putMine();					//  
	bool isTyres();					//   

	void reset();
};


#endif

