#ifndef __MENU_H__
#define __MENU_H__

#include "Utils/gui.h"


typedef enum MenuState
{
	MS_MAINMENU,
	MS_GAMEPLAY,
	MS_OPTIONS,
	MS_PREPARE
};

extern MenuState gameState;




void initGUI();

void updateMainMenu();
void renderMainMenu();

void updateOptionsMenu();
void renderOptionsMenu();

void updatePrepareMenu();
void renderPrepareMenu();


#endif

