/****************************************************************************

    NEHE   												                                     

****************************************************************************/

#include <windows.h>
#include <gl/gl.h>										
#include <gl/glu.h>
#include <olectl.h>

class CPicture {
private:
	int m_SizeX, 
		m_SizeY;

	unsigned char *m_dest;

public:

	CPicture();

	~CPicture() { Release(); }

	int GetSizeX() { return m_SizeX; }
	
	int GetSizeY() { return m_SizeY; }

	CPicture(const char *str) { ReadFile(str); }
	
	unsigned char * GetPointer() { return m_dest; }	

	
	bool ReadFile(const char *str);
	int Release();

private:

	HDC			hdcTemp;												// DC   
	HBITMAP		hbmpTemp;												//  
	IPicture	*pPicture;												// IPicture Interface
	unsigned char *LoadOther(const char *szPathName, int &width, int &height);
};
