#ifndef __INIFILE_H__
#define __INIFILE_H__

#include <stdio.h>
#include <windows.h>

class IniFile
{
private:
	char  szIniFile[256];
	char  szIniString[256];

public:

	IniFile(const char* filename);
	~IniFile();

	void	SetInt		(const char *section, const char *name, int value);
	int		GetInt		(const char *section, const char *name, int def_val);
	void	SetFloat	(const char *section, const char *name, float value);
	float	GetFloat	(const char *section, const char *name, float def_val);
	void	SetString	(const char *section, const char *name, const char *value);
	char*	GetString	(const char *section, const char *name, const char *def_val);

};


#endif

