#ifndef __LOG_H__
#define __LOG_H__

#pragma warning(disable: 4996) // fopen

#include <windows.h>
#include <stdio.h>  //   
#include <stdarg.h> //   

class LOG
{
private:
	char szLogFile[260]; //  
	bool bEnable;

public:
	LOG()
	{
		bEnable = true;
	}

	~LOG() {}

	void Enable(bool Enable)
	{
		bEnable = Enable;
	}

	bool isEnable(void)
	{
		return bEnable;
	}

	void Write(const char *szFormat, ...)
	{
		if (!bEnable) return;
		va_list ap;

		va_start(ap, szFormat);
		vprintf(szFormat, ap);
		va_end(ap);

	}
};

extern LOG Log;

#endif