unit Use_Menu;

interface

Uses
 Use_OpenGL,
 Use_Geom,
 Use_Bass,
 Global,
 OpenGL;

const
 Max_Texts = 40;

type
 TTextElement = record
  Text:string;
  Action:byte;
  Point:TVect;
  Group,alpha:byte;
  Visible:boolean;
  Checked:boolean;
  Size:TVect;
 end;


function add_TE(Text:string;Group,Act:byte;X,Y:Single;Vis:boolean):integer;procedure put_Menu;
procedure Create_Menu;
procedure Check_Menu(CX,CY:Single;Check:boolean);  

Var Texts:array [0..Max_Texts] of TTextElement;
PTSV,cont:integer;
EndMess:integer;

implementation

function Get_index(name:string):integer;
Var i:integer;
begin
 Get_index:=0;
 for i:=0 to Max_Texts do
  if (name=Texts[i].Text) then
   begin
    Get_index:=i;
    break;
   end;
end;

function add_TE(Text:string;Group,Act:byte;X,Y:Single;Vis:boolean):integer;
Var i:integer;
begin
 for i:=0 to  Max_Texts do
  if Texts[i].Text='' then
  begin
   Texts[i].Text:=Text;
   Texts[i].Point.X:=X;
   Texts[i].Point.Y:=Y;
   Texts[i].alpha:=0;
   Texts[i].Visible:=Vis;
   Texts[i].Action:=Act;
   Texts[i].Group:=Group;
   Texts[i].Size.X:=length(Text)*0.22+0.22;
   Texts[i].Size.Y:=0.3;
   break;
  end;
 add_TE:=i;
end;

procedure put_text_s(text:string;x,y:single;check:boolean;a:byte);
begin
 glColor4f(1,1,1,a*0.025);
 put_Text(Text,x+0.05,y-0.05);
 if Check then glColor4f(0,5,0,a*0.05) else
  glColor4f(1,1,1,a*0.05);
 put_Text(Text,x,y);
end;

procedure anim_Menu;
 Var i:byte;
begin
 for i:=0 to Max_Texts do
  if Texts[i].Text<>'' then
  if Texts[i].Visible then
   begin if (Texts[i].alpha<20) then Texts[i].alpha:=Texts[i].alpha+1;end else
   begin if (Texts[i].alpha>0) then Texts[i].alpha:=Texts[i].alpha-1;end;
end;

procedure put_Menu;
 Var i:byte;
begin
 if Game_Mode=2 then          { }
  begin
   for i:=0 to Max_Texts do
    Texts[i].Visible:=false;
    Texts[EndMess].Visible:=true;
    Texts[EndMess].Text:='You finished on the '+IntToStr(Place)+' place';
     end else
  for i:=0 to Max_Texts do
   If Texts[i].Group=0 then Texts[i].Visible:=true;
{ {continue}
{ if mode=1 then { }
{  Texts[cont].Visible:=Texts[cont].Visible and Is_Started;
 {/continue}
{ if mode=2 then  {points}
{  begin
   Texts[ptsV].Visible:=true;
   Texts[ptsV].Text:='Points: '+IntToStr( POINTS);
  end else Texts[ptsV].Visible:=false;
 if mode=5 then  {Dead}
{  begin
   Texts[EndMess].Visible:=true;
   Texts[EndMess].Text:='You Loose';
  end else
 if mode=4 then  {Win!}
{  begin
   Texts[EndMess].Visible:=true;
   Texts[EndMess].Text:='You are win with: '+IntToStr( POINTS+LIVES*100);
  end else Texts[EndMess].Visible:=false;
 anim_Menu;
} for i:=0 to Max_Texts do
  if (Texts[i].Text<>'') and (Texts[i].Visible) then
   put_Text_s(Texts[i].Text,Texts[i].Point.X,Texts[i].Point.Y,Texts[i].Checked,Texts[i].alpha);
end;

procedure Start_Action(num:byte);
Var i:integer;
begin
 Case num of
  0:;  {none}
  1:Game_Mode:=-1;{exit addiction}
  2:begin
     for i:=0 to Max_Texts do
      if Texts[i].Group=1 then Texts[i].Visible:=true else
       if Texts[i].Group>0 then Texts[i].Visible:=false;
    end;{exit}
  3:begin
     for i:=0 to Max_Texts do
      if Texts[i].Group=2 then Texts[i].Visible:=true else
       if Texts[i].Group>0 then Texts[i].Visible:=false;
    end;{new}
  4:begin{redactor}
   //  Mode:=3;
    end;
  5:begin{continue}
   //  Mode:=2;
    end;
  6:begin {about}
     for i:=0 to Max_Texts do
      if Texts[i].Group=3 then Texts[i].Visible:=true else
       if Texts[i].Group>0 then Texts[i].Visible:=false;
    end;
  8:begin {exit after win/dead}
     //Mode:=1;
  //   Is_Started:=false;
    end;
  11:begin {level1}
      place:=1;
      LAP:=0;
      Maxlap:=3;
      for i:=1 to Max_WPN do
       WPN[i].life:=0;
      Cars[0].Real:=true;
      Cars[0].Life:=100;
      Cars[0].tip:=2;
      Cars[0].MaxSpeed:=0.28;
      Cars[0].Vector.X:=0.001;
      Cars[0].Heigth:=0.1;
      for i:=1 to Max_Cars do
       begin
        Cars[i].Real:=true;
        Cars[i].Life:=100;
        Cars[i].tip:=Random(3);
        Cars[i].MaxSpeed:=0.28;
        Cars[i].Vector.X:=0.001;
        Cars[i].WayPoint:=1;
        Cars[i].Heigth:=0.1;
        Cars[i].AICorrect:=Vector(Random(5)-2,Random(5)-2);
       end;
       Load_Level('Lev1.txt');
       for i:=0 to Max_Cars do
        begin
         Cars[i].Point.X:=Tramp[0].A.X+(Tramp[0].B.X-Tramp[0].A.X)/(Max_Cars+2)*(i+1);
         Cars[i].Point.Y:=Tramp[0].A.Y+(Tramp[0].B.Y-Tramp[0].A.Y)/(Max_Cars+2)*(i+1);
         Cars[i].Ang:=Get_A(Cars[i].Point,WayPoints[0].Point);
        end;
       KX:=Cars[0].Point.X;
       KY:=Cars[0].Point.Y;
       Camera:=0;
       Check:=FALSE;
       begintime:= 180;
       Game_Mode:=0;
     end;
  12:begin {level2} {level1}
      place:=1;
      LAP:=0;
      Maxlap:=3;
      Test:=true;
      for i:=1 to Max_WPN do
       WPN[i].life:=0;
      Cars[0].Real:=true;
      Cars[0].Life:=100;
      Cars[0].tip:=2;
      Cars[0].MaxSpeed:=0.28;
      Cars[0].Vector.X:=0.001;
      Cars[0].Heigth:=0.1;
      for i:=1 to Max_Cars do
       begin
        Cars[i].Real:=true;
        Cars[i].Life:=100;
        Cars[i].tip:=Random(3);
        Cars[i].MaxSpeed:=0.28;
        Cars[i].Vector.X:=0.001;
        Cars[i].WayPoint:=1;
        Cars[i].Heigth:=0.1;
        Cars[i].AICorrect:=Vector(Random(5)-2,Random(5)-2);
       end;
       Load_Level('Lev2.txt');
       for i:=0 to Max_Cars do
        begin
         Cars[i].Point.X:=Tramp[0].A.X+(Tramp[0].B.X-Tramp[0].A.X)/(Max_Cars+2)*(i+1);
         Cars[i].Point.Y:=Tramp[0].A.Y+(Tramp[0].B.Y-Tramp[0].A.Y)/(Max_Cars+2)*(i+1);
         Cars[i].Ang:=Get_A(Cars[i].Point,WayPoints[0].Point);
        end;
       KX:=Cars[0].Point.X;
       KY:=Cars[0].Point.Y;
       Camera:=0;
       Check:=FALSE;
       begintime:= 180;
       Game_Mode:=0;
     end;
  13:begin {level3}
      place:=1;
      LAP:=0;
      Maxlap:=3;
      Test:=true;
      for i:=1 to Max_WPN do
       WPN[i].life:=0;
      Cars[0].Real:=true;
      Cars[0].Life:=100;
      Cars[0].tip:=2;
      Cars[0].MaxSpeed:=0.28;
      Cars[0].Vector.X:=0.001;
      Cars[0].Heigth:=0.1;
      for i:=1 to Max_Cars do
       begin
        Cars[i].Real:=true;
        Cars[i].Life:=100;
        Cars[i].tip:=Random(3);
        Cars[i].MaxSpeed:=0.28;
        Cars[i].Vector.X:=0.001;
        Cars[i].WayPoint:=1;
        Cars[i].Heigth:=0.1;
        Cars[i].AICorrect:=Vector(Random(5)-2,Random(5)-2);
       end;
       Load_Level('Lev3.txt');
       for i:=0 to Max_Cars do
        begin
         Cars[i].Point.X:=Tramp[0].A.X+(Tramp[0].B.X-Tramp[0].A.X)/(Max_Cars+2)*(i+1);
         Cars[i].Point.Y:=Tramp[0].A.Y+(Tramp[0].B.Y-Tramp[0].A.Y)/(Max_Cars+2)*(i+1);
         Cars[i].Ang:=Get_A(Cars[i].Point,WayPoints[0].Point);
        end;
       KX:=Cars[0].Point.X;
       KY:=Cars[0].Point.Y;
       Camera:=0;
       Check:=FALSE;
       begintime:= 180;
       Game_Mode:=0;
     end;
 end;
end;

procedure check_Menu;
Var i:integer;
begin
 anim_Menu;
 for i:=0 to Max_Texts do
  if Texts[i].Visible then
   if (Texts[i].Point.X<=CX) and
      (Texts[i].Point.X+Texts[i].Size.X>=CX) and
      (Texts[i].Point.Y<=CY) and
      (Texts[i].Point.Y+Texts[i].Size.Y>=CY) then
    begin
     Texts[i].Checked:=true;
     if mbl then begin mbl:=false;Start_Action(Texts[i].Action);end;
    end
     else Texts[i].Checked:=false;
end;

procedure Create_Menu;
begin

 add_TE('New',0,3,-5,-2.6,true);
  add_TE('Choose Level:',2,0,-3,-0.8,false);
  add_TE('1 st'    ,2,11,-3,-1.4,false);
  add_TE('2 nd'    ,2,12,-3,-2,false);
  add_TE('3 rd'    ,2,13,-3,-2.6,false);

 add_TE('About',0,6,-5,-3.2,true);
  add_TE('author: Mefistofel',3,0,-3,-1.4,false);
  add_TE('special for IGDC.ru',3,0,-3,-2,false);
  add_TE('"Carnage" contest',3,0,-3,-2.6,false);
  add_TE('                 26.01.2009',3,0,-3,-3.2,false);

 add_TE('Exit',0,2,-5,-3.8,true);
  add_TE('Yes',1,1,-4,-3.8,false);

  {points}
{ ptsV:=add_TE('Points',4,2,4.4,4.6,true);  }
 EndMess:=add_TE('YouGet Place',5,8,-4,0,false);
end;

end.
