Unit OBJECTS;

Interface

{$Warnings Off}
{$Hints On}

USES SysUtils, model4,Unit3DS;

var
    ModelFileName    : String;
    FileNameMDL      : String;
    Model3DS         : T3DModel;
    MDL              : T4MODEL;
    Str              : String;
    Scale            : Single;
    i                : Integer;


function LowerCase(const S: string): string;
function CheckExt(S,S2: string): Boolean;
function  StrToFloatDef(strValue : String; defValue : Single) : Single;
implementation

function CheckExt(S,S2: string): Boolean;
var
S3 : String;
begin
for i := 1 to length(s) -1 do
  if s[i] = '.' then s3 := copy(lowercase(S), i, 4);
        if lowercase(s3) = lowercase(s2) then result := true else result := false;
//    writeln('String : ' ,S,' [ Checked for : ',s2, ' Found :', S3,' ]');
end;

function  StrToFloatDef(strValue : String; defValue : Single) : Single;
var
   i, divider, lLen : Integer;
   c : Char;
begin
   Result:=0;
   if strValue='' then Exit;
   divider:=MaxInt;
   strValue:=Trim(StrValue);
   lLen:=length(strValue);
  for i:=1 to lLen do begin
      c:=strValue[i];
      case c of
         '0'..'9' : Result:=(Result*10)+Integer(c)-Integer('0');
         ',', '.' : begin
            if (divider=MaxInt) then
               divider:=i
            else begin
               Result:=defValue;
               Exit;
            end;
         end;
         '-', '+' : if i>1 then begin
            Result:=defValue;
            Exit;
         end;
    else
         if (c<>' ') or (divider<>MaxInt) then begin
            Result:=defValue;
            Exit;
         end;
      end;
   end;
   divider:=lLen-divider;
   if divider>0 then Result:=Result*Exp(-divider*Ln(10));
   if (strValue[1]='-') then Result:=-Result;
end;

function LowerCase(const S: string): string;
var
  Ch: Char;
  L: Integer;
  Source, Dest: PChar;
begin
  L := Length(S);
  SetLength(Result, L);
  Source := Pointer(S);
  Dest := Pointer(Result);
  while L <> 0 do
  begin
    Ch := Source^;
    if (Ch >= 'A') and (Ch <= 'Z') then Inc(Ch, 32);
    Dest^ := Ch;
    Inc(Source);
    Inc(Dest);
    Dec(L);
  end;
end;

end.
