Unit MAX_EX;

Interface

USES OBJECTS,Unit3DS,L_Math;

{$Warnings Off}
{$Hints On}

PROCEDURE _3DSLOADER(FILENAME:STRING);
function FindInStrStr(a,b:String):Boolean;

implementation
uses sysutils;
function BoolToStr(B:Boolean):String;
begin
if b then result:='True' else Result:='False';
end;

function FindInStrStr(a,b:String):Boolean;
var
i,i2 : integer;
S    : String;
begin
Result:=false;
i2 := length(b);
if length(a) < Length(b) then exit;
for i := 1 to length(a) do
begin
if length(a)-(i-1) < Length(a) then exit;
S:=copy(A, i, i2);
if AnsiUpperCase(S) = AnsiUpperCase(b) then begin result:=true; exit;end;
end;
end;

function GetFileExt(const FileName: string): string;
var
  I: Integer;
  S: String;
begin
I := POS('.',FileName);
s := Copy(FileName,i+1,length(FileName));
    Result:= S;
end;

PROCEDURE _3DSLOADER(FILENAME:STRING);
VAR
I,I2,J,F,OJ:INTEGER;
BEGIN
  Model3DS:=T3DModel.create;
  if not Model3DS.LoadFromFile(FILENAME) then
         begin
          Writeln(' 㧨 3DS');
          Exit;
         end else
         Writeln('3DS 㦥..');

         Writeln('3DS -> MDL V 5.2');

         oj :=0;
         for i := 0 to Model3DS.ObjectCount -1 do
         if Model3DS.Objects[i].FaceCount > 0 then
         inc(oj);

         mdl.ObjectsCount := oj;
         for i := 0 to Model3DS.ObjectCount -1 do
         if Model3DS.Objects[i].FaceCount > 0 then
         begin
         oj := Length(MDL.Obj);
         SetLength(MDL.Obj ,oj+1);


         with mdl.obj[oj] do
         begin

               TextureName     := Model3DS.Objects[i].Material.MaterialFile;
            if TextureName=''then TextureName := 'notex.jpg';
               TextureName     := ChangeFileExt(TextureName,'.mat');

            FACEcount          := Model3DS.Objects[i].FaceCount;
            VERTEXcount        := FACEcount*3;
            TEXCount           := FACEcount*3;

            SetLength(FACE     ,FaceCount);
            SetLength(VERTEX   ,VertexCount);
            SetLength(TexCoord ,TEXCount);
            SetLength(Normals  ,VertexCount);


            For i2 := 0 to Length(Face)-1 do
              For j := 0 to 2 do
                begin
                  F:=Model3DS.Objects[i].Faces[I2].VertIndex[j];
                           Face[i2][j]  :=i2*3+j;
                  Vertex  [Face[i2][j]] := v_mult(Model3DS.Objects[i].Verts[F],Scale);
                  Normals [Face[i2][j]] := Model3DS.Objects[i].Normals[f] ;

                  if Length(Model3DS.Objects[i].TexVerts) > 0 then
                  TEXCOORD[Face[i2][j]] := Model3DS.Objects[i].TexVerts[F] else
                  begin
                    TEXCOORD[Face[i2][0]] := vector2d(0,0);
                    TEXCOORD[Face[i2][1]] := vector2d(0,1);
                    TEXCOORD[Face[i2][2]] := vector2d(1,1);
                  end;

                end;
          end;
          end;
       mdl.CalculateData;
END;

end.