#include <iostream>
#include <windows.h>

class CBmp {
private:
	int m_SizeX, 
		m_SizeY, 
		m_Bpp;

	unsigned char *m_dest;

public:

	CBmp();	

	~CBmp() { Release(); }

	CBmp(const char *str) { ReadFile(str); }

	int GetSizeX() { return m_SizeX; }
	
	int GetSizeY() { return m_SizeY; }
	
	int Bpp() {	return m_Bpp; }
	
	unsigned char * GetPointer() { return m_dest; }	
	
	bool ReadFile(const char *str);
	int Release();
};
