
#include "TGA.h"
#include "BMP.h"
#include "IPicture.h"

#include "../Utils/Log.h"


class Image
{
private:
	int m_SizeX, m_SizeY, m_Bpp;
	unsigned char *m_dest;

public:

	Image()
	: m_SizeX(0)
	, m_SizeY(0)
	, m_Bpp(0)
	, m_dest(NULL)
	{}

	~Image() { Release(); }

	Image(const char *str)
	{
		ReadFile(str);
	}

	int GetSizeX()
	{
		return m_SizeX;
	}
	
	int GetSizeY()
	{
		return m_SizeY;
	}
	
	int Bpp()
	{
		return m_Bpp;		
	}
	
	unsigned char * GetPointer()
	{
		return m_dest;
	}	
	
	bool ReadFile(const char *filename);
	int Release();
};