//
//    ,  OGL 
// 

#ifndef __EDITOR_DRAW__
#define __EDITOR_DRAW__

#include "Camera.h"
#include "../Map.h"



void drawPoint(vec2& p, bool selected, float alpha);
void drawLine(vec2& a, vec2& b, vec2& alpha);
void drawTriangle(Triangle* tri, bool selected, vec3& alpha);
void drawTexturedTriangle(GraphicTriangle* tri, bool selected, vec3& alpha);
void drawQuad(vec2& p, vec2& size, bool selected, vec4& alpha);
void drawTexturedQuad(vec2& p, vec2& size, bool selected, vec4& alpha);
void drawTexturedQuad(vec2& p, vec2& size, vec4& alpha);
void drawObject(MapObject* obj, bool selected);
void drawTexturedObject(MapObject* obj, bool selected);
void drawCircle(vec2& pos, float radius, float alpha);
void drawAABB(AABB* aabb);

void calculateTextureCoord(GraphicTriangle* tri, int tex_width, int tex_height);
void calculateTextureCoord(MapObject* obj, int tex_width, int tex_height);
void calculateAABB(MapObject* obj, AABB* aabb);



#endif

